Bug 274951 - Error message on update to pm-utils-0.99.3-6.el5.14
Error message on update to pm-utils-0.99.3-6.el5.14
Status: CLOSED DUPLICATE of bug 279631
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pm-utils (Show other bugs)
5.0
All All
medium Severity low
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 03:47 EDT by Markus Armbruster
Modified: 2015-03-04 20:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 15:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2007-09-03 03:47:16 EDT
Description of problem:
yum update printed an error when updating one of my machines to
pm-utils-0.99.3-6.el5.14.

How reproducible:
Unknown, tried just once.

Steps to Reproduce:
1. yum update
  
Actual results:
Loading "installonlyn" plugin
Setting up Update Process
rhel5-server              100% |=========================|  951 B    00:00     
primary.xml.gz            100% |=========================| 737 kB    00:22     
rhel5-serv: ################################################## 2945/2945
rhel5-client              100% |=========================|  951 B    00:00     
primary.xml.gz            100% |=========================| 810 kB    00:09     
rhel5-clie: ################################################## 3055/3055
Resolving Dependencies
--> Running transaction check
---> Package xen.x86_64 0:3.0.3-37.el5 set to be updated
---> Package gtk2.x86_64 0:2.10.4-18.el5 set to be updated
---> Package xen-libs.x86_64 0:3.0.3-37.el5 set to be updated
---> Package gtk2.i386 0:2.10.4-18.el5 set to be updated
---> Package gtk2-devel.x86_64 0:2.10.4-18.el5 set to be updated
---> Package pm-utils.x86_64 0:0.99.3-6.el5.14 set to be updated
---> Package gtk2-devel.i386 0:2.10.4-18.el5 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 gtk2                    x86_64     2.10.4-18.el5    rhel5-server      6.5 M
 gtk2                    i386       2.10.4-18.el5    rhel5-server      6.5 M
 gtk2-devel              x86_64     2.10.4-18.el5    rhel5-server      2.8 M
 gtk2-devel              i386       2.10.4-18.el5    rhel5-server      2.8 M
 pm-utils                x86_64     0.99.3-6.el5.14  rhel5-server      130 k
 xen                     x86_64     3.0.3-37.el5     rhel5-server      1.9 M
 xen-libs                x86_64     3.0.3-37.el5     rhel5-server      133 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       7 Package(s)         
Remove       0 Package(s)         

Total download size: 21 M
Is this ok [y/N]: y
Downloading Packages:
(1/7): gtk2-devel-2.10.4- 100% |=========================| 2.8 MB    00:37     
(2/7): pm-utils-0.99.3-6. 100% |=========================| 130 kB    00:01     
(3/7): gtk2-devel-2.10.4- 100% |=========================| 2.8 MB    00:35     
(4/7): gtk2-2.10.4-18.el5 100% |=========================| 6.5 MB    01:25     
(5/7): xen-libs-3.0.3-37. 100% |=========================| 133 kB    00:01     
(6/7): gtk2-2.10.4-18.el5 100% |=========================| 6.5 MB    01:26     
(7/7): xen-3.0.3-37.el5.x 100% |=========================| 1.9 MB    00:22     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : xen-libs                     ####################### [ 1/14] 
  Updating  : gtk2                         ####################### [ 2/14] 
  Updating  : gtk2                         ####################### [ 3/14] 
  Updating  : xen                          ####################### [ 4/14] 
  Updating  : gtk2-devel                   ####################### [ 5/14] 
  Updating  : pm-utils                     ####################### [ 6/14] 
error: unpacking of archive failed on file /etc/pm/sleep.d: cpio: rename
  Updating  : gtk2-devel                   ####################### [ 7/14] 
  Cleanup   : xen                          ####################### [ 8/14]
  Cleanup   : gtk2                         ####################### [ 9/14]
  Cleanup   : xen-libs                     ####################### [10/14]
  Cleanup   : gtk2                         ####################### [11/14]
  Cleanup   : gtk2-devel                   ####################### [12/14]
  Cleanup   : gtk2-devel                   ####################### [13/14]

Updated: gtk2.x86_64 0:2.10.4-18.el5 gtk2.i386 0:2.10.4-18.el5 gtk2-devel.x86_64
0:2.10.4-18.el5 gtk2-devel.i386 0:2.10.4-18.el5 pm-utils.x86_64
0:0.99.3-6.el5.14 xen.x86_64 0:3.0.3-37.el5 xen-libs.x86_64 0:3.0.3-37.el5
Complete!

Expected results:
Update runs without the error message.

Additional info:
After the yum update shown above, I did:
# ls -ld /etc/pm/sleep.d
drwxr-xr-x 2 root root 4096 Aug 20 13:05 /etc/pm/sleep.d
# rpm -e --nodeps pm-utils
# yum install pm-utils
[...]
# ls -ld /etc/pm/sleep.d
lrwxrwxrwx 1 root root 5 Sep  3 09:40 /etc/pm/sleep.d -> hooks
Comment 1 Phil Knirsch 2007-09-03 06:56:03 EDT
Was that an update from RHEL-5 GA to the current version? If not, please try
that again. The interim version of pm-utils had wrongly /etc/pm/sleep.d as a
directory, and rpm isn't able to convert a directory to a symlink during updates.

Thanks,

Read ya, Phil
Comment 2 Markus Armbruster 2007-09-03 07:08:17 EDT
Update from almost current version (late last week) to current version.  What
exactly do you want me to try, if anything?
Comment 3 Phil Knirsch 2007-09-03 08:06:43 EDT
Thats know to not work, Markus as rpm can't cope with changing a directory to a
symlink during updates.

In order to test please first install the orignal versions of pm-utils and hal
from RHEL-5 GA and then run the update.

Thanks,

Read ya, Phil
Comment 4 Nate Straz 2007-09-06 15:59:29 EDT

*** This bug has been marked as a duplicate of 279631 ***

Note You need to log in before you can comment on or make changes to this bug.